﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadGridExcelLikeFilteringHeight.aspx.cs" Inherits="RadGridExcelLikeFilteringHeight" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <script type="text/javascript">
            //Put your JavaScript code here.
            var controlIDs = [];
            var gridCol;
            function menuShowing(sender, args) {
                gridCol = args.get_gridColumn();
            }
            function menuShown(sender, args) {
                var container = $("#" + sender.get_id() + "_detached");
                var names = ["CMB", "TB", "DP", "NTB"];

                for (var i = 0; i < names.length; i++) {
                    for (var k = 0; k < 2; k++) {
                        var pos = k == 0 ? "First" : "Second";
                        var control = $telerik.findControl(container[0], "HCFMR" + names[i] + pos + "Cond");
                        if (control && control.get_visible()) {
                            var condition = k == 1 ? false : !gridCol._data.FilterCheckListEnableLoadOnDemand;
                            control.set_visible(condition);

                            if (!condition) {
                                controlIDs.push(control.get_id());
                            }
                        }
                    }
                }
                container.find(".rgHCMAnd").hide();
                if (!gridCol._data.FilterCheckListEnableLoadOnDemand) {
                    container.find(".rgHCMShow").show();
                }
                else {
                    container.find(".rgHCMShow").hide();
                }
            }
            function menuHiding(sender, args) {
                $(controlIDs).each(function (i, ID) {
                    $find(ID).set_visible(true);
                });
                controlIDs = [];
            }
        </script>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        </telerik:RadAjaxManager>
        <asp:Button ID="Button1" runat="server" Text="Button" />
        <telerik:RadGrid ID="RadGrid1" runat="server" AllowPaging="True" CellSpacing="0"
            GridLines="None" Width="800px" OnNeedDataSource="RadGrid1_NeedDataSource"
            AllowFilteringByColumn="true" FilterType="HeaderContext" AllowSorting="true"
            EnableHeaderContextMenu="true" EnableHeaderContextFilterMenu="true"
            OnFilterCheckListItemsRequested="RadGrid1_FilterCheckListItemsRequested">
            <ClientSettings>
                <ClientEvents OnHeaderMenuShowing="menuShowing" />
            </ClientSettings>
            <HeaderContextMenu OnClientShown="menuShown" OnClientHiding="menuHiding">
                <CollapseAnimation Type="None" />
            </HeaderContextMenu>
            <MasterTableView AutoGenerateColumns="False" DataKeyNames="OrderID">
                <Columns>
                    <telerik:GridBoundColumn DataField="OrderID" DataType="System.Int32"
                        FilterControlAltText="Filter OrderID column" HeaderText="OrderID"
                        ReadOnly="True" SortExpression="OrderID" UniqueName="OrderID"
                        FilterCheckListEnableLoadOnDemand="true">
                    </telerik:GridBoundColumn>
                    <telerik:GridDateTimeColumn DataField="OrderDate" DataType="System.DateTime"
                        FilterControlAltText="Filter OrderDate column" HeaderText="OrderDate"
                        SortExpression="OrderDate" UniqueName="OrderDate">
                    </telerik:GridDateTimeColumn>
                    <telerik:GridNumericColumn DataField="Freight" DataType="System.Decimal"
                        FilterControlAltText="Filter Freight column" HeaderText="Freight"
                        SortExpression="Freight" UniqueName="Freight">
                    </telerik:GridNumericColumn>
                    <telerik:GridBoundColumn DataField="ShipName"
                        FilterControlAltText="Filter ShipName column" HeaderText="ShipName"
                        SortExpression="ShipName" UniqueName="ShipName"
                        FilterCheckListEnableLoadOnDemand="true">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="ShipCountry"
                        FilterControlAltText="Filter ShipCountry column" HeaderText="ShipCountry"
                        SortExpression="ShipCountry" UniqueName="ShipCountry">
                    </telerik:GridBoundColumn>
                </Columns>
            </MasterTableView>
        </telerik:RadGrid>
    </form>
</body>
</html>
